Package com.databricks.jdbc.model.client.thrift.generated

## Class TGetPrimaryKeysResp

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TGetPrimaryKeysResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetPrimaryKeysResp>`, `org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2025-05-08")
    public class TGetPrimaryKeysResp
    extends Object
    implements org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>, Serializable, Cloneable, Comparable<TGetPrimaryKeysResp>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGetPrimaryKeysResp._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TSparkDirectResults` `directResults`
`static Map<TGetPrimaryKeysResp._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TOperationHandle` `operationHandle`
`TStatus` `status`

### Constructor Summary

Constructors
`TGetPrimaryKeysResp()`
`TGetPrimaryKeysResp​(TGetPrimaryKeysResp other)` Performs a deep copy on other.
`TGetPrimaryKeysResp​(TStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TGetPrimaryKeysResp other)`
`TGetPrimaryKeysResp` `deepCopy()`
`boolean` `equals​(TGetPrimaryKeysResp that)`
`boolean` `equals​(Object that)`
`TGetPrimaryKeysResp._Fields` `fieldForId​(int fieldId)`
`TSparkDirectResults` `getDirectResults()`
`Object` `getFieldValue​(TGetPrimaryKeysResp._Fields field)`
`TOperationHandle` `getOperationHandle()`
`TStatus` `getStatus()`
`int` `hashCode()`
`boolean` `isSet​(TGetPrimaryKeysResp._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDirectResults()` Returns true if field directResults is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationHandle()` Returns true if field operationHandle is set (has been assigned a value) and false otherwise
`boolean` `isSetStatus()` Returns true if field status is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TGetPrimaryKeysResp` `setDirectResults​(TSparkDirectResults directResults)`
`void` `setDirectResultsIsSet​(boolean value)`
`void` `setFieldValue​(TGetPrimaryKeysResp._Fields field, Object value)`
`TGetPrimaryKeysResp` `setOperationHandle​(TOperationHandle operationHandle)`
`void` `setOperationHandleIsSet​(boolean value)`
`TGetPrimaryKeysResp` `setStatus​(TStatus status)`
`void` `setStatusIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDirectResults()`
`void` `unsetOperationHandle()`
`void` `unsetStatus()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### status

    public TStatus status

#### operationHandle

    public TOperationHandle operationHandle

#### directResults

    public TSparkDirectResults directResults

#### metaDataMap

    public static final Map<TGetPrimaryKeysResp._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGetPrimaryKeysResp

    public TGetPrimaryKeysResp()

#### TGetPrimaryKeysResp

    public TGetPrimaryKeysResp​(TStatus status)

#### TGetPrimaryKeysResp

    public TGetPrimaryKeysResp​(TGetPrimaryKeysResp other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGetPrimaryKeysResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>`

#### getStatus

    public TStatus getStatus()

#### setStatus

    public TGetPrimaryKeysResp setStatus​(TStatus status)

#### unsetStatus

    public void unsetStatus()

#### isSetStatus

    public boolean isSetStatus()

Returns true if field status is set (has been assigned a value) and false otherwise

#### setStatusIsSet

    public void setStatusIsSet​(boolean value)

#### getOperationHandle

    public TOperationHandle getOperationHandle()

#### setOperationHandle

    public TGetPrimaryKeysResp setOperationHandle​(TOperationHandle operationHandle)

#### unsetOperationHandle

    public void unsetOperationHandle()

#### isSetOperationHandle

    public boolean isSetOperationHandle()

Returns true if field operationHandle is set (has been assigned a value) and false otherwise

#### setOperationHandleIsSet

    public void setOperationHandleIsSet​(boolean value)

#### getDirectResults

    public TSparkDirectResults getDirectResults()

#### setDirectResults

    public TGetPrimaryKeysResp setDirectResults​(TSparkDirectResults directResults)

#### unsetDirectResults

    public void unsetDirectResults()

#### isSetDirectResults

    public boolean isSetDirectResults()

Returns true if field directResults is set (has been assigned a value) and false otherwise

#### setDirectResultsIsSet

    public void setDirectResultsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGetPrimaryKeysResp._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGetPrimaryKeysResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>`

#### isSet

    public boolean isSet​(TGetPrimaryKeysResp._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGetPrimaryKeysResp that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGetPrimaryKeysResp other)

Specified by:
  `compareTo` in interface `Comparable<TGetPrimaryKeysResp>`

#### fieldForId

    public TGetPrimaryKeysResp._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetPrimaryKeysResp,​TGetPrimaryKeysResp._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`